Package de.willuhn.jameica.hbci.gui.controller

# Class AbstractSammelTransferControl<T extends SammelTransfer>

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractSammelTransferControl<T>

Type Parameters:
  `T` - der konkrete Typ des Sammel-Auftrages.

Direct Known Subclasses:
  `SammelLastschriftControl`, `SammelUeberweisungControl`

public abstract class AbstractSammelTransferControl<T extends SammelTransfer> extends de.willuhn.jameica.gui.AbstractControl
Abstrakte Basis-Implementierung des Controllers fuer die Dialog Liste der Sammellastschriften/Sammel-Überweisungen.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSammelTransferControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`abstract de.willuhn.jameica.gui.parts.TablePart`
`getBuchungen()`
Liefert eine Liste mit den in diesem Sammel-Auftrag enthaltenen Buchungen.
`KontoInput`
`getKontoAuswahl()`
Liefert ein Auswahlfeld fuer das Konto.
`abstract de.willuhn.jameica.gui.parts.TablePart`
`getListe()`
Liefert eine Tabelle mit den existierenden Sammel-Auftraegen.
`de.willuhn.jameica.gui.input.Input`
`getName()`
Liefert ein Eingabe-Feld fuer den Namen des Sammel-Auftrages.
`ReminderIntervalInput`
`getReminderInterval()`
Liefert das Intervall fuer die zyklische Ausfuehrung.
`de.willuhn.jameica.gui.input.Input`
`getSumme()`
Liefert ein Anzeige-Feld mit der Gesamt-Summe der Buchungen.
`TerminInput`
`getTermin()`
Liefert das Eingabe-Feld fuer den Termin.
`abstract T`
`getTransfer()`
Liefert den aktuellen Sammel-Auftrag.
`boolean`
`handleStore()`
Speichert den Auftrag.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSammelTransferControl

public AbstractSammelTransferControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getTransfer

public abstract T getTransfer() throws RemoteException
Liefert den aktuellen Sammel-Auftrag.

Returns:
  Sammel-Auftrag.
Throws:
  `RemoteException`

### getListe

public abstract de.willuhn.jameica.gui.parts.TablePart getListe() throws RemoteException
Liefert eine Tabelle mit den existierenden Sammel-Auftraegen.

Returns:
  Liste der Sammellastschriften.
Throws:
  `RemoteException`

### getBuchungen

public abstract de.willuhn.jameica.gui.parts.TablePart getBuchungen() throws RemoteException
Liefert eine Liste mit den in diesem Sammel-Auftrag enthaltenen Buchungen.

Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`

### getKontoAuswahl

public KontoInput getKontoAuswahl() throws RemoteException
Liefert ein Auswahlfeld fuer das Konto.

Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`

### getTermin

public TerminInput getTermin() throws RemoteException
Liefert das Eingabe-Feld fuer den Termin.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getReminderInterval

public ReminderIntervalInput getReminderInterval() throws Exception
Liefert das Intervall fuer die zyklische Ausfuehrung.

Returns:
  Auswahlfeld.
Throws:
  `Exception`

### getSumme

public de.willuhn.jameica.gui.input.Input getSumme() throws RemoteException
Liefert ein Anzeige-Feld mit der Gesamt-Summe der Buchungen.

Returns:
  Anzeige-Feld.
Throws:
  `RemoteException`

### getName

public de.willuhn.jameica.gui.input.Input getName() throws RemoteException
Liefert ein Eingabe-Feld fuer den Namen des Sammel-Auftrages.

Returns:
  Name des Sammel-Auftrages.
Throws:
  `RemoteException`

### handleStore

public boolean handleStore()
Speichert den Auftrag.

Returns:
  true, wenn der Auftrag erfolgreich gespeichert werden konnte.